Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get warehouse

Gets a single warehouse.

GET/api/v2/{team_slug}/{app_slug}/warehouses/{warehouse_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
warehouse_idstring<uuid>required
Responses
200

OK

dataWarehouserequired
Show properties
idUUIDrequired
namestringrequired
slugstringrequired
available_onlineboolean
addressWarehouseAddress | null
Show properties
Any of:
WarehouseAddress
street_addressstring
citystring
statestring
postal_codestring
countrystring
null
null
marketsWarehouseMarket[]
Show properties
Array of WarehouseMarket
idUUIDrequired
namestring
slugstring
created_atstring<date-time>required
updated_atstring<date-time> | null
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
404

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v2/string/string/warehouses/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "slug": "string",
    "available_online": true,
    "address": {
      "street_address": "string",
      "city": "string",
      "state": "string",
      "postal_code": "string",
      "country": "string"
    },
    "markets": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "slug": "string"
      }
    ],
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}